GIMP User Manual
Prev | Appendix B. Command Line Options | Next

# GIMP Tool

gimptool is a support script for GIMP which allows you to build and install scripts and plug-ins, and can provide information to other programs about the libraries and paths that GIMP was compiled with. The format is: gimptool [options ... ]

GIMP Tool Options

--help

  Displays a list of available options, and gives a terse description of each one.

--version

  Prints the version number of the installed GIMP.

--quiet

  Runs without printing any of the build commands.

-n, --dry-run

  Print commands, but don't actually execute them. Useful for making dry-runs for testing.

--bindir

  Prints the bindir used to install GIMP.

--sbindir

  Prints the sbindir used to install GIMP.

--libexecdir

  Prints the libexecdir used to install GIMP.

--datadir

  Prints the datadir used to install GIMP.

--sysconfdir

  Prints the sysconfdir used to install GIMP.

--sharedstatedir

  Prints the sharedstatedir used to install GIMP.

--localstatedir

  Prints the localstatedir used to install GIMP.

--libdir

  Prints the libdir used to install GIMP.

--infodir

  Prints the infodir used to install GIMP.

--mandir

  Prints the mandir used to install GIMP man (manual) pages.

--includedir

  Prints the includedir used to install GIMP.

--gimpdatadir

  Prints the actual directory where GIMP data files, such as patterns and brushes, were installed.

--plugindir

  Prints the actual directory where GIMP plug-ins were installed.

--build <plug-in.c>

  Compile and link plug-in.c into a GIMP plug-in.

--build-strip <plug-in.c>

  Compile, link and strip plug-in.c into a GIMP plug-in.

--install <plug-in.c>

  Compile, link and install plug-in.c into the users personal plug-in directory - `~/.gimp-1.2/plug-ins/`.

--install-strip <plug-in.c>

  Compile, link, strip and install plug-in.c into the users personal plug-in directory - `~/.gimp-1.2/plug-ins`.

--install-admin <plug-in.c>

  Compile, link, and install plug-in.c into the system-wide plug-in directory - `$PREFIX/lib/gimp/1.2/plug-ins`.

--install-bin <plug-in>

  Install a plug-in, which has already been compiled and linked, into the users personal plug-in directory - `~/.gimp-1.2/plug-ins`.

--install-admin-bin <plug-in>

  Install a plug-in, which has already been compiled and linked, into the system-wide plug-in directory - `$PREFIX/gimp/1.2/plug-ins`.

--install-bin-strip <plug-in>

  Install a striped plug-in, which has already been compiled and linked, into the users personal plug-in directory - `~/.gimp-1.2/plug-ins`.

--install-admin-bin-strip <plug-in>

  Install a striped plug-in, which has already been compiled and linked, into the system-wide plug-in directory - `$PREFIX/lib/gimp/1.2/plug-ins`.

--install-script <script.scm>

  Install script.scm, into the users personal scripts directory - `~/.gimp-1.2/scripts`.

--install-admin-script <script.scm>

  Install script.scm, into the system-wide scripts directory - `$PREFIX/share/gimp/scripts`.

--uninstall-bin <plug-in>

  Uninstall a plug-in from a users personal plug-in directory - `~/.gimp-1.2/plug-ins`.

--uninstall-admin-bin <plug-in>

  Uninstall a plug-in from the system-wide plug-in directory - `$PREFIX/lib/gimp/1.2/plug-ins`.

--uninstall-script <script.scm>

  Uninstall a script from a users personal scripts directory - `~/.gimp-1.2/scripts`.

--uninstall-admin-script <script.scm>

  Uninstall a script from the system-wide scripts directory - `$PREFIX/share/gimp/scripts`.

--libs

  Print the linker flags that are nessecery to link a GIMP plug-in.

--libs-noui

  Print the linker flags that are nessecery to link a GIMP plug-in which doesn't require the GTK+ libraries.

--cflags

  Print the compiler flags that are nessecery to link a GIMP plug-in.

--cflags-noui

  Print the compiler flags that are nessecery to link a GIMP plug-in which doesn't require the GTK+ libraries.

--prefix=PREFIX

  If specified, use PREFIX instead of the installation prefix that GIMP was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX

  If specified, use PREFIX instead of the installation exec prefix that GIMP was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

Prev | Home | Next
Command Line Options | Up | GIMP Remote